StatsResponse
granularitystring
Effective granularity used for the response
Possible values: [HOUR, DAY, MONTH]
timestamp_fromstring<date-time>
ISO 8601 timestamp at Z (inclusive start)
timestamp_untilstring<date-time>
ISO 8601 timestamp at Z (exclusive end)
entity_typestring
Possible values: [GLOBAL, ECOSYSTEM, CREDENTIAL_SCHEMA, PARTICIPANT]
entity_idsstring
Comma-separated list of entity IDs (e.g. '1,2,3') or repeated query params. Must be empty for GLOBAL.
result_typestring
Possible values: [BUCKETS, TOTAL, BUCKETS_AND_TOTAL]
buckets object[]
Time buckets (present if result_type is BUCKETS or BUCKETS_AND_TOTAL)
Array [
timestampstring<date-time>
ISO 8601 timestamp at Z
cumulative_participantsinteger
cumulative_active_ecosystemsinteger
cumulative_archived_ecosystemsinteger
cumulative_active_schemasinteger
cumulative_archived_schemasinteger
cumulative_weightinteger
cumulative_issuedinteger
cumulative_verifiedinteger
cumulative_ecosystem_slash_eventsinteger
cumulative_ecosystem_slashed_amountinteger
cumulative_ecosystem_slashed_amount_repaidinteger
cumulative_network_slash_eventsinteger
cumulative_network_slashed_amountinteger
cumulative_network_slashed_amount_repaidinteger
delta_participantsinteger
delta_active_ecosystemsinteger
delta_archived_ecosystemsinteger
delta_active_schemasinteger
delta_archived_schemasinteger
delta_weightinteger
delta_issuedinteger
delta_verifiedinteger
delta_ecosystem_slash_eventsinteger
delta_ecosystem_slashed_amountinteger
delta_ecosystem_slashed_amount_repaidinteger
delta_network_slash_eventsinteger
delta_network_slashed_amountinteger
delta_network_slashed_amount_repaidinteger
]
total object
Aggregated totals (present if result_type is TOTAL or BUCKETS_AND_TOTAL)
delta_participantsinteger
delta_active_ecosystemsinteger
delta_archived_ecosystemsinteger
delta_active_schemasinteger
delta_archived_schemasinteger
delta_weightinteger
delta_issuedinteger
delta_verifiedinteger
delta_ecosystem_slash_eventsinteger
delta_ecosystem_slashed_amountinteger
delta_ecosystem_slashed_amount_repaidinteger
delta_network_slash_eventsinteger
delta_network_slashed_amountinteger
delta_network_slashed_amount_repaidinteger
StatsResponse
{
"granularity": "HOUR",
"timestamp_from": "2024-07-29T15:51:28.071Z",
"timestamp_until": "2024-07-29T15:51:28.071Z",
"entity_type": "GLOBAL",
"entity_ids": "string",
"result_type": "BUCKETS",
"buckets": [
{
"timestamp": "2024-07-29T15:51:28.071Z",
"cumulative_participants": 0,
"cumulative_active_ecosystems": 0,
"cumulative_archived_ecosystems": 0,
"cumulative_active_schemas": 0,
"cumulative_archived_schemas": 0,
"cumulative_weight": 0,
"cumulative_issued": 0,
"cumulative_verified": 0,
"cumulative_ecosystem_slash_events": 0,
"cumulative_ecosystem_slashed_amount": 0,
"cumulative_ecosystem_slashed_amount_repaid": 0,
"cumulative_network_slash_events": 0,
"cumulative_network_slashed_amount": 0,
"cumulative_network_slashed_amount_repaid": 0,
"delta_participants": 0,
"delta_active_ecosystems": 0,
"delta_archived_ecosystems": 0,
"delta_active_schemas": 0,
"delta_archived_schemas": 0,
"delta_weight": 0,
"delta_issued": 0,
"delta_verified": 0,
"delta_ecosystem_slash_events": 0,
"delta_ecosystem_slashed_amount": 0,
"delta_ecosystem_slashed_amount_repaid": 0,
"delta_network_slash_events": 0,
"delta_network_slashed_amount": 0,
"delta_network_slashed_amount_repaid": 0
}
],
"total": {
"delta_participants": 0,
"delta_active_ecosystems": 0,
"delta_archived_ecosystems": 0,
"delta_active_schemas": 0,
"delta_archived_schemas": 0,
"delta_weight": 0,
"delta_issued": 0,
"delta_verified": 0,
"delta_ecosystem_slash_events": 0,
"delta_ecosystem_slashed_amount": 0,
"delta_ecosystem_slashed_amount_repaid": 0,
"delta_network_slash_events": 0,
"delta_network_slashed_amount": 0,
"delta_network_slashed_amount_repaid": 0
}
}